import { HttpClient, HttpHeaders } from '@angular/common/http';
import { ElementRef, EventEmitter, OnInit, QueryList } from '@angular/core';
import { DialogService } from 'primeng/dynamicdialog';
import { ImageCropperData } from '../../shared/models/image-cropper-data.model';
import { FileUpload } from 'primeng/fileupload';
import { ImageB64 } from '../../shared/models/image-b64.model';
import { WappFileUpload } from '../../shared/models/wapp-file-uploader.model';
import { ConfirmationService } from 'primeng/api';
import * as i0 from "@angular/core";
export declare class WappImageFileUploaderComponent implements OnInit {
    private dialogService;
    private http;
    private confirmationService;
    allowMultipleImages: boolean;
    activeImageUpload: boolean;
    imagesAlreadyUploaded: any[];
    imageSingleMode: any;
    uploadUrl: string;
    updateUrl: string;
    deleteUrl: string;
    headers: HttpHeaders;
    activePositionProperty: boolean;
    viewSingleMode: boolean;
    identificatorName: string;
    identificatorValue: any;
    imageUploadConfig: WappFileUpload;
    onUploadFinished: EventEmitter<any>;
    onErrorHandler: EventEmitter<any>;
    onReturnImagesB64: EventEmitter<any>;
    onDeleteImage: EventEmitter<any>;
    fileUpload: FileUpload;
    buttonRemoveOnlyImage: QueryList<ElementRef>;
    fileuploadOnlyImage: FileUpload;
    cropperImages: any[];
    defaultWidth: string;
    defaultHeight: string;
    disableMoveButtons: boolean;
    isUploadingMultiMode: boolean;
    isDeletingMultiMode: boolean;
    onlyImageSelected: any;
    onlyCroppedImageSelected: any;
    dimensionsInput: ImageCropperData;
    carouselImagesResponsiveOptions: any[];
    constructor(dialogService: DialogService, http: HttpClient, confirmationService: ConfirmationService);
    ngOnInit(): void;
    readProperty(obj: any, prop: string): any;
    onCustomUploadSingleMode(event: any): void;
    onCustomizeUploadFunctionSingleMode(event: any): void;
    removeImageSingleMode(event: Event, file: any): void;
    moveImageToLeft(event: any): void;
    moveImageToRight(event: any): void;
    onCustomizeUploadFunctionMultiMode(event?: any): void;
    onCustomUploadMultiMode(event: any): void;
    confirmDeleteImageMultiMode(event: any, image: any): void;
    onDeleteFileMultiMode(event: any, file: File, uploader: FileUpload): void;
    onDeleteImageMultiMode(image: any): void;
    updateImage(imagesToUpdate: any[]): any;
    openModalCropper(fileBlob: any, event?: any): void;
    mapToObjectB64(images: any): ImageB64[];
    getArraysToCreateAndToUpdate(images: any[]): {
        toCreate: any[];
        toUpdated: any[];
    };
    addPositionProperty(imagesArray: any[]): any[];
    onImageMouseOver(file: any): void;
    onImageMouseLeave(file: any): void;
    findIndex(img: any): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappImageFileUploaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappImageFileUploaderComponent, "wapp-image-file-uploader", never, { "allowMultipleImages": "allowMultipleImages"; "activeImageUpload": "activeImageUpload"; "imagesAlreadyUploaded": "imagesAlreadyUploaded"; "imageSingleMode": "imageSingleMode"; "uploadUrl": "uploadUrl"; "updateUrl": "updateUrl"; "deleteUrl": "deleteUrl"; "headers": "headers"; "activePositionProperty": "activePositionProperty"; "viewSingleMode": "viewSingleMode"; "identificatorName": "identificatorName"; "identificatorValue": "identificatorValue"; "imageUploadConfig": "imageUploadConfig"; }, { "onUploadFinished": "onUploadFinished"; "onErrorHandler": "onErrorHandler"; "onReturnImagesB64": "onReturnImagesB64"; "onDeleteImage": "onDeleteImage"; }, never, never, false, never>;
}
