import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormControl } from '@angular/forms';
import { QBDataTypeEnum } from '../../shared/models/enums.model';
import { QbPanelFilter } from '../../shared/models/filter-panel/qb-panel-filter.model';
import { FilterPanelTranslations } from '../../shared/models/filter-panel/filter-panel-translations.model';
import { QueryResultType, QueryResults } from '../../shared/models/filter-panel/query-results.model';
import { QbFilterEntity } from '../../shared/models/filter-panel/qb-filter-entity.model';
import { ApiService } from '../../shared/service/api/api.service';
import { FieldMap, QueryBuilderConfig } from '../../shared/models/filter-panel/field.model';
import * as i0 from "@angular/core";
export declare class WappFilterPanelComponent implements OnInit {
    private formBuilder;
    private apiService;
    queryCtrl: FormControl;
    advancedQueryCtrl: FormControl;
    groupedQueryCtrl: FormControl;
    persistValueOnFieldChange: boolean;
    queryConfigReady: boolean;
    isAdvancedSearch: boolean;
    qbDataTypeEnum: typeof QBDataTypeEnum;
    qbDataEnums: (string | QBDataTypeEnum)[];
    basicQueryConfig: any;
    advancedQueryConfig: any;
    basicQuery: any;
    groupedQuery: any;
    advancedQuery: any;
    filterPanelObject: QbPanelFilter;
    entityConfigGrouped: QueryBuilderConfig;
    entities: any[];
    defaultValues: any[];
    defaultOperators: any[];
    authorizationApiUrl: string;
    commonDataApiUrl: string;
    token: string;
    commonDataToken: string;
    filterId: string;
    dataIsLoadingSearchButton: boolean;
    translationsObject: FilterPanelTranslations;
    searchClicked: EventEmitter<QueryResults>;
    clearClicked: EventEmitter<boolean>;
    stateOptions: any[];
    constructor(formBuilder: FormBuilder, apiService: ApiService);
    ngOnInit(): void;
    initQueryBuilderControls(): void;
    updateSearchType(): void;
    onSearchClicked(): void;
    onClearClicked(): void;
    handleEmptyFieldsQuery(queries: QueryResults): QueryResults;
    getQueryType(): QueryResultType;
    setEntity(queries: QueryResults): void;
    getQueryBuilderFilterPanel(): void;
    initQueryBuilder(filterEntities: QbFilterEntity[]): QueryBuilderConfig;
    filterFieldsById(fieldsObj: any, idArray: number[]): any;
    translateFields(fields: FieldMap): FieldMap;
    moveElementToFirstPlace(array: any[], elementToFirstPlace: string): any[];
    formatDefaultValue(value: any, type: QBDataTypeEnum): any;
    getDataType(id: number): string;
    deleteFieldsWithoutValue(json: any): any;
    initializeOperators(json: any): any;
    resetBasicQueryValues(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappFilterPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappFilterPanelComponent, "wapp-filter-panel", never, { "authorizationApiUrl": "apiUrl"; "commonDataApiUrl": "commonDataApiUrl"; "token": "token"; "commonDataToken": "commonDataToken"; "filterId": "filterId"; "dataIsLoadingSearchButton": "dataIsLoadingSearchButton"; "translationsObject": "translationsObject"; }, { "searchClicked": "searchClicked"; "clearClicked": "clearClicked"; }, never, never, false, never>;
}
