import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { Embed, IReportEmbedConfiguration, models, service } from 'powerbi-client';
import { PowerBIReportEmbedComponent } from 'powerbi-client-angular';
import { EmbedConfig } from '../../shared/models/embed-config.model';
import * as i0 from "@angular/core";
export declare class WappPowerbiReportComponent implements OnInit {
    private elementRef;
    embedConfig: EmbedConfig;
    reportTitle: string;
    hasReportFilters: boolean;
    parameterReportFilters: string;
    showReportFilters: boolean;
    filterPanelPosition: string;
    showPageNavigation: boolean;
    showPrintButton: boolean;
    showFullScreenButton: boolean;
    showVisualHeaders: boolean;
    showRefreshButton: boolean;
    zoomRatio: number;
    refreshNotAllowed: EventEmitter<boolean>;
    powerbiReportWidth: number;
    private _zoom;
    set zoom(value: number);
    get zoom(): number;
    reportClass: string;
    reportConfig: IReportEmbedConfiguration;
    eventHandlersMap: Map<string, (event?: service.ICustomEvent<any>, embeddedEntity?: Embed) => void | null>;
    reportObj: PowerBIReportEmbedComponent;
    constructor(elementRef: ElementRef);
    onResize(event: any): void;
    ngOnInit(): void;
    getReportDivWidth(): void;
    embedReport(): Promise<void>;
    refresh(): Promise<void>;
    updateFilters(filter: models.IFilter): Promise<void>;
    setReportZoom(zoom: number): Promise<void>;
    print(): void;
    enterFullScreen(): void;
    onRefreshNotAllowed(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappPowerbiReportComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappPowerbiReportComponent, "wapp-powerbi-report", never, { "embedConfig": "embedConfig"; "reportTitle": "reportTitle"; "hasReportFilters": "hasReportFilters"; "parameterReportFilters": "parameterReportFilters"; "showReportFilters": "showReportFilters"; "filterPanelPosition": "filterPanelPosition"; "showPageNavigation": "showPageNavigation"; "showPrintButton": "showPrintButton"; "showFullScreenButton": "showFullScreenButton"; "showVisualHeaders": "showVisualHeaders"; "showRefreshButton": "showRefreshButton"; "zoomRatio": "zoomRatio"; "zoom": "zoom"; }, { "refreshNotAllowed": "refreshNotAllowed"; }, never, [".report-filters-right", ".report-filters-left", ".report-filters-bottom"], false, never>;
}
