import { BackButtonConfig } from "./back-button-config.model";
import { CustomButtonConfig } from "./custom-button-config.model";
import { TableColumnFilterTypes, TableColumnTypes } from "./enums.model";
import { WappTableActionButton } from "./wapp-table-action-button.model";
export interface WappTable {
    headers: string[];
    backButtonConfig?: BackButtonConfig;
    hasNewElementButton: boolean;
    newElementButtonLabel: string;
    newElementButtonIcon?: string;
    columnTypes: TableColumnTypes[];
    columnFilterTypes: TableColumnFilterTypes[];
    columnBooleanTypeIcons: any;
    selectFilterElements?: any;
    columnWidths: string[];
    hasSelectableRow: boolean;
    hasCheckbox: boolean;
    hasImage: boolean;
    hasViewButton: boolean;
    hasEditButton: boolean;
    customButtonConfig?: CustomButtonConfig;
    hasDeleteButton: boolean;
    hasCopyButton: boolean;
    hasPaginator: boolean;
    hasClearButton: boolean;
    clearPlaceholder?: string;
    hasGlobalSearch: boolean;
    elementObjectRoutes: any[];
    identificator: string;
    filterNames: any;
    sortableNames: any[];
    globalFilterFields: string[];
    hasColumnFilters: boolean;
    hasSortableColumns: boolean;
    searchPlaceholder: string;
    confirmMultipleDeleteLabel?: string;
    confirmSingleDeleteLabel?: string;
    confirmDeleteBtnLabel?: string;
    confirmCopyLabel?: string;
    confirmCopyBtnLabel?: string;
    disableEditProperty?: string;
    disableDeleteProperty?: string;
    disableCheckbox?: string;
    disableDelete?: boolean;
    actionButtons?: WappTableActionButton[];
    currentPageReportTemplate?: string;
    rowsPerPageOptions?: number[];
}
