import { EventEmitter, OnInit } from '@angular/core';
import { ConfirmationService, LazyLoadEvent } from 'primeng/api';
import { Table } from 'primeng/table';
import { TableColumnFilterTypes, TableColumnTypes } from '../../shared/models/enums.model';
import { WappTableLazyLoading } from '../../shared/models/wapp-table-lazy-loading.model';
import { LazyElementQueryRequest } from '../../shared/models/lazy-element-query-request.model';
import { WappTableActionButtonResponse } from '../../shared/models/wapp-table-action-button-response.model';
import * as i0 from "@angular/core";
export declare class WappTableLazyLoadingComponent implements OnInit {
    private confirmationService;
    selectedElements: any[];
    translations: any;
    selectAll: boolean;
    filterElementsIndex: number;
    loading: boolean;
    elements: any[];
    allElements: any[];
    totalRecords: number;
    wappTableLazyLoadingObject: WappTableLazyLoading;
    queryElements: EventEmitter<LazyElementQueryRequest>;
    onElementSelect: EventEmitter<any>;
    onViewElementSelect: EventEmitter<any>;
    onCustomElementSelect: EventEmitter<any>;
    onCopyElementSelect: EventEmitter<any>;
    onEditElementSelect: EventEmitter<any>;
    onDeleteElementSelect: EventEmitter<any[]>;
    onAllElementSelect: EventEmitter<boolean>;
    actionButtonClickedId: EventEmitter<WappTableActionButtonResponse>;
    dataTable: Table;
    constructor(confirmationService: ConfirmationService);
    ngOnInit(): void;
    loadElements(event: LazyLoadEvent): void;
    readProperty(obj: any, prop: string): any;
    onElement(element: any): void;
    viewElement(element: any): void;
    customElement(element: any): void;
    editElement(element: any): void;
    confirmDeleteSelection(event: any): void;
    deleteSelectedElements(): void;
    confirmDelete(event: Event, element: any): void;
    deleteSingleElement(element: any): void;
    copyElement(element: any): void;
    confirmCopy(event: Event, element: any): void;
    onSelectionChange(value?: never[]): void;
    onSelectAllChange(event: any): void;
    getSelectableElements(allElements: any[]): any[];
    getBooleanColumnClass(index: number, valueProperty: boolean): {
        [x: string]: boolean;
    };
    clear(table: Table): void;
    get tableColumnFilterTypes(): typeof TableColumnFilterTypes;
    get tableColumnTypes(): typeof TableColumnTypes;
    onActionButtonClick(id: number): void;
    clearFilters(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappTableLazyLoadingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappTableLazyLoadingComponent, "wapp-table-lazy-loading", never, { "loading": "loading"; "elements": "elements"; "allElements": "allElements"; "totalRecords": "totalRecords"; "wappTableLazyLoadingObject": "wappTableLazyLoadingObject"; }, { "queryElements": "queryElements"; "onElementSelect": "onElementSelect"; "onViewElementSelect": "onViewElementSelect"; "onCustomElementSelect": "onCustomElementSelect"; "onCopyElementSelect": "onCopyElementSelect"; "onEditElementSelect": "onEditElementSelect"; "onDeleteElementSelect": "onDeleteElementSelect"; "onAllElementSelect": "onAllElementSelect"; "actionButtonClickedId": "actionButtonClickedId"; }, never, [".filter-panel"], false, never>;
}
