import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ConfirmationService } from 'primeng/api';
import { DynamicDialogRef } from 'primeng/dynamicdialog';
import { WappTable } from '../../shared/models/wapp-table.model';
import { TableColumnFilterTypes, TableColumnTypes } from '../../shared/models/enums.model';
import { Table } from 'primeng/table';
import { WappTableActionButtonResponse } from '../../shared/models/wapp-table-action-button-response.model';
import * as i0 from "@angular/core";
export declare class WappTableComponent implements OnInit, OnChanges {
    private confirmationService;
    selectedElements: any[];
    translations: any;
    translateObjectName: string;
    selectAll: boolean;
    dialogRef: DynamicDialogRef;
    tableSkeletons: any;
    private _totalRecords;
    set totalRecords(value: number);
    get totalRecords(): number;
    elements: any[];
    loading: boolean;
    wappTableObject: WappTable;
    onElementSelect: EventEmitter<any>;
    onViewElementSelect: EventEmitter<any>;
    onCopyElementSelect: EventEmitter<any>;
    onEditElementSelect: EventEmitter<any>;
    onCustomElementSelect: EventEmitter<any>;
    onDeleteElementSelect: EventEmitter<any[]>;
    onNewElementSelect: EventEmitter<boolean>;
    actionButtonClickedId: EventEmitter<WappTableActionButtonResponse>;
    filter: ElementRef;
    dataTable: Table;
    constructor(confirmationService: ConfirmationService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    create(): void;
    onElement(element: any): void;
    viewElement(element: any): void;
    editElement(element: any): void;
    customElement(element: any): void;
    readProperty(obj: any, prop: string): any;
    confirmDeleteSelected(event: any): void;
    deleteSelectedElements(): void;
    confirmDelete(event: Event, element: any): void;
    deleteSingleElement(element: any): void;
    copyElement(element: any): void;
    confirmCopy(event: Event, element: any): void;
    onSelectionChange(value?: never[]): void;
    onSelectAllChange(event: any): void;
    getSelectableElements(allElements: any[]): any[];
    onGlobalFilter(table: Table, event: Event): void;
    clear(table: Table): void;
    get tableColumnFilterTypes(): typeof TableColumnFilterTypes;
    get tableColumnTypes(): typeof TableColumnTypes;
    getBooleanColumnClass(index: number, valueProperty: boolean): {
        [x: string]: boolean;
    };
    onActionButtonClick(id: number): void;
    clearFilters(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WappTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WappTableComponent, "wapp-table", never, { "elements": "elements"; "loading": "loading"; "wappTableObject": "wappTableObject"; }, { "onElementSelect": "onElementSelect"; "onViewElementSelect": "onViewElementSelect"; "onCopyElementSelect": "onCopyElementSelect"; "onEditElementSelect": "onEditElementSelect"; "onCustomElementSelect": "onCustomElementSelect"; "onDeleteElementSelect": "onDeleteElementSelect"; "onNewElementSelect": "onNewElementSelect"; "actionButtonClickedId": "actionButtonClickedId"; }, never, [".filter-panel"], false, never>;
}
